#
# Architecture special makerules for mips family
#

ARCH_CFLAGS := -march=xlp

ifeq ($(SUBARCH),mips32)
ARCH_CFLAGS += -mabi=32
# ARCH_LDFLAGS := -m elf_i386
# ARCH_ASFLAGS := -m32
endif

ifeq ($(XEN_TARGET_ARCH),mips64)
ARCH_CFLAGS += -mabi=64
# ARCH_CFLAGS := -m64 -mno-red-zone -fno-reorder-blocks
# ARCH_CFLAGS += -fno-asynchronous-unwind-tables
# ARCH_ASFLAGS := -m64
# ARCH_LDFLAGS := -m elf_x86_64
endif

EXTRA_INC += $(TARGET_ARCH_FAM)/$(XEN_TARGET_ARCH)
EXTRA_SRC += arch/$(EXTRA_INC)

