#ifndef AUTOCONF_INCLUDED

#define AUTOCONF_INCLUDED

#define CONFIG_XEN_FLATMEM 1
#define CONFIG_XEN_PAGE_SIZE_64KB 1
#define CONFIG_XEN_ARCH "mips"
#define CONFIG_XEN_MIPS 1

#define CONFIG_XEN_SIMULATOR 1
#define CONFIG_XEN_64BIT 1
#define CONFIG_XEN_EARLY_PRINTK 1
#define CONFIG_XEN_BUG 1
#define CONFIG_XEN_SMP 1
#define CONFIG_XEN_TRACE_IRQFLAGS 1
#define CONFIG_XEN_NR_CPUS 32
#define CONFIG_XEN_WEAK_ORDERING 1
#define CONFIG_XEN_MIPS_L1_CACHE_SHIFT 5

#define CONFIG_RMI_PHOENIX 1
#define CONFIG_CPU_XLP 1
#define CONFIG_RMI_XLP 1

#define CONFIG_CPU_HAS_SYNC 1
#define CONFIG_CPU_HAS_PREFETCH 1
#define CONFIG_CPU_MIPSR2 1

/**
 * XXX Turning off the supervisor mode for now -
 * Currently both the guest kernel and the xen hypervisor
 * run with kernel privilege.
 */
#define supervisor_mode_kernel 0

#define pt_regs cpu_user_regs

#define NR_THREADS 4

// #define CONFIG_XEN_2LEVEL_PGTABLE 1

#define CONFIG_PAGING_ASSISTANCE 1

#define CONFIG_XEN_PGWALKER 1

#define CONFIG_XEN_UBOOT 1

#endif
